Subject: Re: linux-next: manual merge of the akpm tree with the cgroup tree

From: Andrew Morton <[email-masked]>
Date: Wed, 14 Dec 2011 10:08:51 -0800

On Wed, 14 Dec 2011 17:16:31 +0100 Frederic Weisbecker <[email-masked]> wrote:

> > 
> > cgroups: new cancel_attach_task() subsystem callback
> > cgroups: ability to stop res charge propagation on bounded ancestor
> > cgroups: add res counter common ancestor searching
> > res_counter: allow charge failure pointer to be null
> > cgroups: pull up res counter charge failure interpretation to caller
> > cgroups: allow subsystems to cancel a fork
> > cgroups: add a task counter subsystem
> > cgroups: ERR_PTR needs err.h
> > cgroup: Fix task counter common ancestor logic
> > cgroup-fix-task-counter-common-ancestor-logic-checkpatch-fixes
> > 
> > I am wondering if that patch set should be included in the cgroup tree?
> 
> That would be probably the easier solution.
> Andrew, do you mind if I rebase these patches and target them to Tejun's
> tree instead?

Sure, that works,  I'll drop them.

> We can keep them on a standalone branch there based on Tejuns until
> we reach an agreement on their upstreamability.

I wondered what had been happening with that discussion.  I guess we
need to restart it.